Plugins
Operations related to Plugins, the extensible web service components hosted by the platform that add custom functionality. Plugin types include:
Activity Analyzers (enrich tracking data)
Audience Segment External Feeds (sync segments to partners)
Display Ad Renderers (customize ad rendering)
Email Renderers (customize email rendering)
Email Routers (manage email sending)
Attribution Engines (custom attribution)
Custom Actions (automation actions)
ML Algorithms (predictions)
Computed Fields (calculated schema fields)
Relevant documentation:
Get a Plugin Version Configuration file
ID of the plugin
ID of the plugin version
technical name of the Plugin Version Configuration
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/plugins/{plugin_id}/versions/{plugin_version_id}/configuration_file/technical_name={technical_name} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
binaryPut a Plugin Version Configuration file
ID of the plugin
ID of the plugin version
technical name of the Plugin Version Configuration
Success response
Error response
Error response
Error response
Error response
Error response
Error response
PUT /v1/plugins/{plugin_id}/versions/{plugin_version_id}/configuration_file/technical_name={technical_name} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/octet-stream
Accept: */*
Content-Length: 8
"binary"{
"status": "ok"
}Delete a Plugin Version Configuration file
ID of the plugin
ID of the plugin version
technical name of the Plugin Version Configuration
Success response
Error response
Error response
Error response
Error response
Error response
Error response
DELETE /v1/plugins/{plugin_id}/versions/{plugin_version_id}/configuration_file/technical_name={technical_name} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok"
}ID of the plugin
Success !
Error response
Error response
Error response
Error response
Error response
Error response
PUT /v1/plugins/{plugin_id}/actions HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 44
{
"type": "ARCHIVE_PLUGIN",
"plugin_id": "text"
}{
"status": "ok",
"data": {
"plugin_type": "DISPLAY_CAMPAIGN_EDITOR",
"group_id": "text",
"organisation_id": "text",
"artifact_id": "text",
"archived": false,
"current_version_id": "text",
"id": "text"
}
}ID of the plugin
ID of the plugin version
Success !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/plugins/{plugin_id}/versions/{plugin_version_id}/actions HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 77
{
"type": "PUBLISH_LIVE_VERSION",
"plugin_version_id": "text",
"plugin_id": "text"
}{
"status": "ok",
"data": {
"version_id": "text",
"features": [
"CLEANING_AND_DELETION"
],
"id": "text",
"organisation_id": "text",
"artifact_id": "text",
"archived": false,
"image_name": "text",
"tenant_credentials_scheme": "GOOGLE_SERVICE_ACCOUNT",
"script_path": "text",
"build_tag": "text",
"group_id": "text",
"file_delivery_activated": false,
"identifying_resources_locked": false,
"maintainer_id": "text",
"authenticate_at_instantiation": false,
"status": "DRAFT",
"engine_type": "NATIVE",
"plugin_type": "DISPLAY_CAMPAIGN_EDITOR",
"plugin_id": "text"
}
}Fetch available dynamic property values from the plugin connector
ID of the plugin
ID of the plugin version
Success !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/plugins/{plugin_id}/versions/{plugin_version_id}/dynamic_property_values_queries HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 163
{
"properties": [
{
"writable": false,
"value": {},
"origin": "PLUGIN_STATIC",
"technical_name": "text",
"deletable": false
}
],
"datamart_id": "text",
"feed_destination_id": "text"
}{
"status": "ok",
"data": {
"status": "ok",
"message": "text",
"data": [
{
"property_technical_name": "text",
"enum": [
{
"value": "text",
"label": "text"
}
]
}
],
"count": 0
}
}Find all running plugin containers grouped by plugin-manager based on a plugin version
The plugin id
The plugin version id
The organisation in which the search is performed
Offset from which the search must be performed
Number of maximum items that shall be return by this search
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/plugins/{plugin_id}/versions/{version_id}/containers?organisation_id=1 HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"data": [
{
"name": "text",
"running_containers": [
{
"container": "text"
}
]
}
],
"max_results": 1,
"first_result": 1,
"status": "ok",
"count": 1,
"total": 1
}The segment id
The type of plugins
Artifact id
Group id
Organisation id
List of organisation Ids we want to query
Fields used to order the result
Can be used to search elements
Current version statuses
If true the result will contain only archived dashboards
Offset from which the search must be performed
Number of maximum items that shall be return by this search
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/audience_segments/{segment_id}/available_plugins HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"first_result": 1,
"data": [
{
"plugin_type": "DISPLAY_CAMPAIGN_EDITOR",
"group_id": "text",
"organisation_id": "text",
"artifact_id": "text",
"archived": false,
"current_version_id": "text",
"id": "text"
}
],
"count": 1,
"max_results": 1,
"total": 1
}Last updated
Was this helpful?